#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './networkdlgbase.ui'
**
** Created: 2012-10-06T20:48:48
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "networkdlgbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qwidgetstack.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NetworkDlgBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
NetworkDlgBase::NetworkDlgBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "NetworkDlgBase" );
    NetworkDlgBaseLayout = new QVBoxLayout( this, 11, 6, "NetworkDlgBaseLayout"); 

    group = new QButtonGroup( this, "group" );
    group->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, group->sizePolicy().hasHeightForWidth() ) );
    group->setColumnLayout(0, Qt::Vertical );
    group->layout()->setSpacing( 6 );
    group->layout()->setMargin( 11 );
    groupLayout = new QVBoxLayout( group->layout() );
    groupLayout->setAlignment( Qt::AlignTop );

    serverBtn = new QRadioButton( group, "serverBtn" );
    serverBtn->setChecked( TRUE );
    groupLayout->addWidget( serverBtn );

    clientBtn = new QRadioButton( group, "clientBtn" );
    groupLayout->addWidget( clientBtn );
    NetworkDlgBaseLayout->addWidget( group );

    stack = new QWidgetStack( this, "stack" );

    serverPage = new QWidget( stack, "serverPage" );
    serverPageLayout = new QHBoxLayout( serverPage, 0, 0, "serverPageLayout"); 

    serverLabel = new QLabel( serverPage, "serverLabel" );
    serverPageLayout->addWidget( serverLabel );

    serverName = new QLineEdit( serverPage, "serverName" );
    serverName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, serverName->sizePolicy().hasHeightForWidth() ) );
    serverPageLayout->addWidget( serverName );
    stack->addWidget( serverPage, 0 );

    clientPage = new QWidget( stack, "clientPage" );
    clientPageLayout = new QHBoxLayout( clientPage, 0, 0, "clientPageLayout"); 

    clientLabel = new QLabel( clientPage, "clientLabel" );
    clientPageLayout->addWidget( clientLabel );

    clientName = new QComboBox( FALSE, clientPage, "clientName" );
    clientPageLayout->addWidget( clientName );
    stack->addWidget( clientPage, 1 );
    NetworkDlgBaseLayout->addWidget( stack );

    tqlayout9 = new QHBoxLayout( 0, 0, 6, "tqlayout9"); 

    hostLabel = new QLabel( this, "hostLabel" );
    hostLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, hostLabel->sizePolicy().hasHeightForWidth() ) );
    hostLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    tqlayout9->addWidget( hostLabel );

    hostname = new QLineEdit( this, "hostname" );
    hostname->setEnabled( FALSE );
    tqlayout9->addWidget( hostname );

    portLabel = new QLabel( this, "portLabel" );
    portLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, portLabel->sizePolicy().hasHeightForWidth() ) );
    portLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    tqlayout9->addWidget( portLabel );

    port = new QSpinBox( this, "port" );
    port->setMaxValue( 65000 );
    port->setValue( 7432 );
    tqlayout9->addWidget( port );
    NetworkDlgBaseLayout->addLayout( tqlayout9 );

    tqlayout11 = new QHBoxLayout( 0, 0, 6, "tqlayout11"); 
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout11->addItem( spacer5 );

    pushButton1 = new QPushButton( this, "pushButton1" );
    tqlayout11->addWidget( pushButton1 );
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout11->addItem( spacer6 );
    NetworkDlgBaseLayout->addLayout( tqlayout11 );
    languageChange();
    resize( QSize(320, 218).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pushButton1, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( clientName, SIGNAL( activated(int) ), this, SLOT( gameSelected(int) ) );
    connect( serverBtn, SIGNAL( toggled(bool) ), this, SLOT( toggleServerClient() ) );
    connect( clientBtn, SIGNAL( toggled(bool) ), this, SLOT( toggleServerClient() ) );

    // buddies
    serverLabel->setBuddy( serverName );
    clientLabel->setBuddy( clientName );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NetworkDlgBase::~NetworkDlgBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NetworkDlgBase::languageChange()
{
    setCaption( tr2i18n( "Network Options" ) );
    group->setTitle( tr2i18n( "Play As" ) );
    serverBtn->setText( tr2i18n( "Server" ) );
    clientBtn->setText( tr2i18n( "Client" ) );
    serverLabel->setText( tr2i18n( "Game name:" ) );
    clientLabel->setText( tr2i18n( "Network games:" ) );
    hostLabel->setText( tr2i18n( "Host:" ) );
    portLabel->setText( tr2i18n( "Port:" ) );
    QWhatsThis::add( port, tr2i18n( "Choose a port to connect to" ) );
    pushButton1->setText( tr2i18n( "&OK" ) );
}

void NetworkDlgBase::toggleServerClient()
{
    qWarning( "NetworkDlgBase::toggleServerClient(): Not implemented yet" );
}

void NetworkDlgBase::gameSelected(int)
{
    qWarning( "NetworkDlgBase::gameSelected(int): Not implemented yet" );
}

#include "networkdlgbase.moc"
